﻿/*
********************************************************************************
* COPYRIGHT(c) ЗАО «ЧИП и ДИП», 2021
* 
* Программное обеспечение предоставляется на условиях «как есть» (as is).
* При распространении указание автора обязательно.
********************************************************************************
*/


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace RDC2_0064
{
    /// <summary>
    /// Interaction logic for SamplingFrequencySettings.xaml
    /// </summary>
    public partial class SampleFreqSet : Window
    {
        private static readonly string[] FreqSourcesStrings =
        {
            "Внутренняя", "EXT EDGE", "EXT CLK",
        };

        private const int FREQ_SOURCES_COUNT = 3;


        public RadioButton[] FreqSources = new RadioButton[FREQ_SOURCES_COUNT];


        public SampleFreqSet()
        {
            InitializeComponent();

            for (int i = 0; i < FREQ_SOURCES_COUNT; i++)
            {
                FreqSources[i] = new RadioButton();
                FreqSources[i].GroupName = "FreqSources";
                FreqSources[i].Content = FreqSourcesStrings[i];
                if (i == 0)
                {
                    FreqSources[i].IsChecked = true;
                    FreqSources[i].Margin = new Thickness(0, 25, 0, 30);
                }
            }
            FreqSourcesItems.ItemsSource = FreqSources;
        }
    }
}
